function runscript()
	
	if (getflag(FLAG_STUNGUN_GOT) == 0) then
		say("There's a pile of bones here.");
		graphic("bones");
		say("It's holding something in its hands...!")
		graphic("");
		setflag(FLAG_STUNGUN_GOT, FLAG_ON);
		doscript("get-stungun");
	else
		graphic("bones");
		if (getitem(ITEM_HIJUMP) == 1) then
			say("It's in no hurry to have its shoes returned.");
		else
			say("Just a pile of bones.");
		end
	end
	restorewindow();
end